=== debian/control ===
Source: libftdi1
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 9), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python-all-dev, python3-all-dev, swig, g++ (>= 4:5.2)
Standards-Version: 3.9.6
Homepage: http://www.intra2net.com/en/developer/libftdi/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: ftdi-eeprom
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for reading/erasing/flashing FTDI USB chip EEPROMs
 ftdi-eeprom is a small tool for creating and uploading the configuration
 EEPROM for the FTDI chip. This eeprom contains information such as vendor
 and product ID, manufacturer and product strings, revision, etc.

Package: libftdi1-2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C version of the library.

Package: libftdi1-dev
Section: libdevel
Architecture: any
Depends: libftdi1-2 (= ${binary:Version}), libusb-1.0-0-dev, ${misc:Depends}
Description: Development files for libftdi1
 This package contains the header files and static library needed to
 compile applications that use libftdi1.

Package: libftdi1-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libftdi1-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libusb-1.0-0-dbg
Description: Debugging symbols for libftdi1-2
 This package contains detached debugging symbols for the libftdi1
 library.

Package: libftdipp1-2v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libftdipp1-2
Replaces: libftdipp1-2
Description: Library to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C++ version of the library.

Package: libftdipp1-dev
Section: libdevel
Architecture: any
Depends: libftdipp1-2v5 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
Description: Development files for libftdipp1
 This package contains the header files and static library needed to
 compile applications that use libftdipp1.

Package: libftdipp1-2v5-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libftdipp1-2v5 (= ${binary:Version}), ${misc:Depends}
Recommends: libftdi1-2-dbg
Description: Debugging symbols for libftdipp1-2v5
 This package contains detached debugging symbols for the libftdipp1
 library.

Package: python-ftdi1
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python module to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This package provides the ftdi1 module on the Python 2 module path. It
 is complemented by python3-ftdi1.

Package: python3-ftdi1
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python module to control and program the FTDI USB controllers
 This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
 FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
 communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This package provides the ftdi1 module on the Python 3 module path. It
 is complemented by python-ftdi1.
