## libftdi1 1.3

=== ftdi_eeprom/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,12 @@
+# determine docdir
+include(GNUInstallDirs)
+if(NOT CMAKE_INSTALL_DOCDIR)
+  if(WIN32)
+    set(CMAKE_INSTALL_DOCDIR .)
+  else(WIN32)
+    set(CMAKE_INSTALL_DOCDIR ${CMAKE_INSTALL_DATAROOTDIR}/doc/${PROJECT_NAME})
+  endif(WIN32)
+endif(NOT CMAKE_INSTALL_DOCDIR)
 
 option(FTDI_EEPROM "Build ftdi_eeprom" ON)
 
@@ -14,13 +23,13 @@
 
   include_directories ( ${CONFUSE_INCLUDE_DIRS} )
   list ( APPEND libs ${CONFUSE_LIBRARIES} )
-  
+
   if ( LIBINTL_FOUND )
     include_directories ( ${LIBINTL_INCLUDE_DIR} )
     list ( APPEND libs ${LIBINTL_LIBRARIES} )
   endif ()
 
-  
+
   # Version defines
   set ( EEPROM_MAJOR_VERSION 0 )
   set ( EEPROM_MINOR_VERSION 17 )
@@ -40,7 +49,7 @@
     target_link_libraries ( ftdi_eeprom ${LIBINTL_LIBRARIES} )
   endif ()
   install ( TARGETS ftdi_eeprom DESTINATION bin )
+  install ( FILES example.conf DESTINATION ${CMAKE_INSTALL_DOCDIR} )
 else ()
   message ( STATUS "libConfuse not found, won't build ftdi_eeprom" )
 endif ()
-
