=== debian/changelog ===
libftdi1 (1.3-2) unstable; urgency=medium

  * debian/patches/01-cmake-multiarch.diff: update to also fix
    LIBFTDI_USE_FILE in multiarch systems. Thanks to Jochen Sprickerhof
    for the patch (closes: #832617).
  * debian/rules: enable the C++ library even for the python builds so
    that LibFTDI1Config.cmake contains both LIBFTDI_PYTHON_MODULE_PATH
    and LIBFTDIPP* entries.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Aug 2016 23:06:25 +0000

libftdi1 (1.3-1) unstable; urgency=medium

  * New upstream version.
  * Stop building -dbg packages, please use the -dbgsym packages instead.
  * Move the documentation from libftdi1-dev to libftdi1-doc as
    recommended by recent policy versions.
  * Bumped Standards-Version to 3.9.8.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 01 Jun 2016 23:00:29 +0200
