=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 9), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python-all-dev, python3-all-dev, swig, g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.intra2net.com/en/developer/libftdi/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
@@ -37,20 +37,18 @@
 Section: libdevel
 Architecture: any
 Depends: libftdi1-2 (= ${binary:Version}), libusb-1.0-0-dev, ${misc:Depends}
+Recommends: libftdi1-doc
 Description: Development files for libftdi1
  This package contains the header files and static library needed to
  compile applications that use libftdi1.
 
-Package: libftdi1-2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libftdi1-2 (= ${binary:Version}), ${misc:Depends}
-Recommends: libusb-1.0-0-dbg
-Description: Debugging symbols for libftdi1-2
- This package contains detached debugging symbols for the libftdi1
- library.
+Package: libftdi1-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: libftdi1-dev
+Description: Documentation for libftdi1
+ This package contains the documentation of the libftdi1 library.
 
 Package: libftdipp1-2v5
 Section: libs
@@ -73,21 +71,11 @@
 Package: libftdipp1-dev
 Section: libdevel
 Architecture: any
+Recommends: libftdi1-doc
 Depends: libftdipp1-2v5 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
 Description: Development files for libftdipp1
  This package contains the header files and static library needed to
  compile applications that use libftdipp1.
-
-Package: libftdipp1-2v5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libftdipp1-2v5 (= ${binary:Version}), ${misc:Depends}
-Recommends: libftdi1-2-dbg
-Description: Debugging symbols for libftdipp1-2v5
- This package contains detached debugging symbols for the libftdipp1
- library.
 
 Package: python-ftdi1
 Section: python
