=== debian/changelog ===
libftdi1 (1.4-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 16:46:49 +0100

libftdi1 (1.4-2build1) focal; urgency=medium

  * No-change rebuild to build with Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 22:34:04 +0200

libftdi1 (1.4-2) unstable; urgency=medium

  * Drop python2 package (closes: #936860).
  * Drop X-Python3-Version.
  * Set Rules-Requires-Root to no.
  * Push debhelper level to 12.
  * Drop build-depends on ancient g++ version.
  * Move documentation to /usr/share/doc/libftdi1-dev for compliance with
    debian policy and compatibility with debhelper compatibility >= 11.
  * Bump Standards-Version to 4.4.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Aug 2019 10:28:30 +0200

libftdi1 (1.4-1) unstable; urgency=medium

  * New upstream version:
    - Update libftdi1-2 symbols file.
    - Rename libftdipp1-2v5 into libftdi1pp-3 following soname change.
  * debian/control: update to use https link.
  * debian/copyright: update to use https link.
  * Add debian/upstream/signing-key.asc.
  * Switch to debhelper 10.
  * Bumped Standards-Version to 4.1.1.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Nov 2017 00:26:51 +0100
