=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python-all-dev, python3-all-dev, swig, g++ (>= 4:5.2)
-Standards-Version: 3.9.8
-Homepage: http://www.intra2net.com/en/developer/libftdi/
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.0
+Build-Depends: debhelper-compat (= 12), cmake, dh-python, doxygen, libboost-test-dev (>= 1.58), libconfuse-dev, libusb-1.0-0-dev, pkg-config, python3-all-dev, swig
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
+Homepage: https://www.intra2net.com/en/developer/libftdi/
 
 Package: ftdi-eeprom
 Section: utils
@@ -50,14 +49,12 @@
 Description: Documentation for libftdi1
  This package contains the documentation of the libftdi1 library.
 
-Package: libftdipp1-2v5
+Package: libftdipp1-3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libftdipp1-2
-Replaces: libftdipp1-2
 Description: Library to control and program the FTDI USB controllers
  This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
  FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
@@ -72,26 +69,10 @@
 Section: libdevel
 Architecture: any
 Recommends: libftdi1-doc
-Depends: libftdipp1-2v5 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
+Depends: libftdipp1-3 (= ${binary:Version}), libftdi1-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
 Description: Development files for libftdipp1
  This package contains the header files and static library needed to
  compile applications that use libftdipp1.
-
-Package: python-ftdi1
-Section: python
-Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Python module to control and program the FTDI USB controllers
- This library could talk to FTDI's FT232BM, FT245BM, FT2232C, FT2232D, FT245R,
- FT232H and FT230X type USB chips from userspace. It uses libusb 1.0 to
- communicate with the chips.
- .
- Functionalities include the possibility to use the chips in standard
- mode, in bitbang mode, and to read or write the serial EEPROM.
- .
- This package provides the ftdi1 module on the Python 2 module path. It
- is complemented by python3-ftdi1.
 
 Package: python3-ftdi1
 Section: python
@@ -106,5 +87,4 @@
  Functionalities include the possibility to use the chips in standard
  mode, in bitbang mode, and to read or write the serial EEPROM.
  .
- This package provides the ftdi1 module on the Python 3 module path. It
- is complemented by python-ftdi1.
+ This package provides the ftdi1 module on the Python 3 module path.
