=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,12 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2,python3
+	dh $@ --with python3
 
 # Force C++ standard to c++11 to prepare for the GCC 6 transition
 export DEB_CXXFLAGS_MAINT_PREPEND=-std=c++11 
 
 # Available python versions
-PY2VERS = $(shell pyversions -v -r debian/control)
 PY3VERS = $(shell py3versions -v -r debian/control)
-PYVERS = $(PY2VERS) $(PY3VERS)
 
 override_dh_auto_configure:
 	mkdir $(CURDIR)/build-main
@@ -21,7 +19,7 @@
 		      -DFTDI_EEPROM:BOOL=ON \
 		      -DPYTHON_BINDINGS:BOOL=OFF \
 		      $(CURDIR)
-	for v in $(PYVERS) ; do \
+	for v in $(PY3VERS) ; do \
 		mkdir $(CURDIR)/build-python$$v ; \
 		cd $(CURDIR)/build-python$$v && \
 		        PYTHON_INCLUDE_DIR=$$(python$$v -c "import sysconfig;print(sysconfig.get_config_var('INCLUDEPY'))") ; \
@@ -33,7 +31,7 @@
 			      -DPYTHON_LIBRARY:FILEPATH=$$PYTHON_LIBRARY \
 			      -DDOCUMENTATION:BOOL=OFF \
 			      -DEXAMPLES:BOOL=OFF \
-			      -DFTDIPP:BOOL=OFF \
+			      -DFTDIPP:BOOL=ON \
 			      -DFTDI_EEPROM:BOOL=OFF \
 			      -DPYTHON_BINDINGS:BOOL=ON \
 			      -DLINK_PYTHON_LIBRARY:BOOL=OFF \
@@ -42,15 +40,12 @@
 
 override_dh_auto_build:
 	make -C $(CURDIR)/build-main
-	for v in $(PYVERS) ; do \
+	for v in $(PY3VERS) ; do \
 		make -C $(CURDIR)/build-python$$v ; \
 	done
 
 override_dh_auto_install:
 	make -C $(CURDIR)/build-main install DESTDIR=$(CURDIR)/debian/tmp
-	for v in $(PY2VERS) ; do \
-		make -C $(CURDIR)/build-python$$v install DESTDIR=$(CURDIR)/debian/tmp ; \
-	done
 	for v in $(PY3VERS) ; do \
 		make -C $(CURDIR)/build-python$$v install DESTDIR=$(CURDIR)/debian/tmp ; \
 		python$$v -c "from distutils import sysconfig; import os; destdir='$(CURDIR)/debian/tmp'; libdir=sysconfig.get_python_lib(); ext=sysconfig.get_config_var('EXT_SUFFIX'); os.rename(os.path.join(destdir + libdir, '_ftdi1.so'), os.path.join(destdir + libdir, '_ftdi1' + ext))" ; \
@@ -59,8 +54,3 @@
 override_dh_auto_clean:
 	rm -fr $(CURDIR)/build-*
 	dh_auto_clean
-
-override_dh_strip-arch:
-	dh_strip -plibftdi1-2 --dbg-package=libftdi1-2-dbg
-	dh_strip -plibftdipp1-2v5 --dbg-package=libftdipp1-2v5-dbg
-	dh_strip --remaining-packages
